zipheadio.cpp File Reference

Implementation of I/O functions for the header structures defined in ziphead.h. More...

`#include "zipios++/zipios-config.h"`
`#include "zipios++/meta-iostreams.h"`
`#include <iterator>`
`#include <string>`
`#include "zipios_common.h"`
`#include "zipios++/zipheadio.h"`
`#include "outputstringstream.h"`
Include dependency graph for zipheadio.cpp:

Go to the source code of this file.

## Functions

std::istream & | zipios::operator>> (std::istream &is, ZipLocalEntry &zlh)
std::istream & | zipios::operator>> (std::istream &is, DataDescriptor &)
std::istream & | zipios::operator>> (std::istream &is, ZipCDirEntry &zcdh)
std::ostream & | zipios::operator<< (std::ostream &os, const ZipLocalEntry &zlh)
std::ostream & | zipios::operator<< (std::ostream &os, const ZipCDirEntry &zcdh)
std::ostream & | zipios::operator<< (std::ostream &os, const EndOfCentralDirectory &eocd)

## Detailed Description

Implementation of I/O functions for the header structures defined in ziphead.h.

Definition in file zipheadio.cpp.

## Function Documentation

## operator<<() [1/3]

std::ostream & zipios::operator<< | ( | std::ostream & | os,
|  | const EndOfCentralDirectory & | eocd )

Definition at line 149 of file zipheadio.cpp.

## operator<<() [2/3]

std::ostream & zipios::operator<< | ( | std::ostream & | os,
|  | const ZipCDirEntry & | zcdh )

Definition at line 119 of file zipheadio.cpp.

## operator<<() [3/3]

std::ostream & zipios::operator<< | ( | std::ostream & | os,
|  | const ZipLocalEntry & | zlh )

Definition at line 95 of file zipheadio.cpp.

## operator>>() [1/3]

std::istream & zipios::operator>> | ( | std::istream & | is,
|  | DataDescriptor & | )

Definition at line 52 of file zipheadio.cpp.

## operator>>() [2/3]

std::istream & zipios::operator>> | ( | std::istream & | is,
|  | ZipCDirEntry & | zcdh )

Definition at line 57 of file zipheadio.cpp.

## operator>>() [3/3]

std::istream & zipios::operator>> | ( | std::istream & | is,
|  | ZipLocalEntry & | zlh )

Definition at line 15 of file zipheadio.cpp.